Bug 52464 - java not working in mozilla
java not working in mozilla
Product: Red Hat Public Beta
Classification: Retired
Component: mozilla (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Depends On:
  Show dependency treegraph
Reported: 2001-08-23 18:45 EDT by sahag
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-20 19:25:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description sahag 2001-08-23 18:45:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-2 i686)

Description of problem:
after installing java plugin and getting a successful result java just does
not work

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.start mozilla(under root)
2.go to any page containing java
3.get a prompt to install java
4.press ok at the prompt to install Sun's java2 plugin
5.Install the plugin and get a Success.
6.restart mozilla and go to a java page again
7.get a prompt to install java again.

Actual Results:  java plugin not working

Expected Results:  java plugin should work

Additional info:

i use roswell2 and mozilla-0.9.2-10
Comment 1 David Mansfield 2001-09-04 16:01:21 EDT
I suspect this is also caused by the dlopen problem that I submitted in bug
52844.  See also that bug (don't know how to link bugs, I'm just a lowly user).

Comment 2 Piet E Barber 2001-09-07 10:29:08 EDT
From a user standpoint, is it unreasonable to have Java work with mozilla
out-of-the-box with Redhat 7.2?  It seems that there is enough java usage on the
Internet to have require that Java enabled pages work by default. 

Why should we have to install a plugin over the web to get java working?
Comment 3 sahag 2001-09-11 21:19:19 EDT
i have some additional very important comments.
java plugin mysteriously starts to work after you install XFree86-devel
libraries and run /sbin/ldconfig

now i think you should fix this problem because not all users are XFree

Comment 4 matteo porta 2002-08-07 18:50:07 EDT
why don't redhat ships the sun jre 1.4 within the distro?
note that i'm talking about the jre, which is freely
distributable, not the jdk (which you have to license in
order to distribute it, if i remember correct).
i want to run the setup, reboot, run mozilla and have java
applets work out of the box! please!
and don't tell me about the sun jre not being open source!
netscape 4 isn't open source, and you have shipped it for
Comment 5 Christopher Blizzard 2002-08-08 01:52:48 EDT
The JRE isn't freely redistributable.
Comment 6 matteo porta 2002-08-20 19:25:22 EDT
in any case suse 8 professional distributes the jdk out of the box, so why you 
do the same ?
Comment 7 Christopher Blizzard 2002-08-29 17:13:18 EDT
Comment 8 matteo porta 2002-09-22 07:26:41 EDT
we really need java support out of the box! at least to run the 1.1 java 
applets (no real need the full sun jre 1.4). so why not shipping an open source 
java implementation? think about kaffe (www.kaffe.org). recently the kaffe 
development restarted, after a looong pause. i know that it is still immature, 
but it will improve. why don't redhat put one (only one!) programmer working on 
kaffe? in a couple of months kaffe could become an usable java 1.1 
implementation, able to run most of the applets floating around on the web.

Note You need to log in before you can comment on or make changes to this bug.